PrivilegeControllerGetApplicationPrivilegesForAccount Method

GET /Privilege/AccountApplicationPrivileges/{id} Gets all the application privileges for a specified account.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("AccountApplicationPrivileges")]
public HttpResponseMessage GetApplicationPrivilegesForAccount(
	Guid id,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the account to get the privilege assignments for.
sessionId (Optional)
Type: SystemNullableGuid
ID of the current session.

Return Value

Type: HttpResponseMessage
An array of PrivilegeAssignmentData object containing requested information or a status code indicating the reason for a failure.
See Also